<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (1.8.0_141) on Sun May 13 08:56:40 CEST 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>UtilClass</title>
<meta name="date" content="2018-05-13">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="UtilClass";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/UtilClass.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../negocio/PersonaClass.html" title="class in negocio"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?negocio/UtilClass.html" target="_top">Frames</a></li>
<li><a href="UtilClass.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">negocio</div>
<h2 title="Class UtilClass" class="title">Class UtilClass</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>negocio.UtilClass</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">UtilClass</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../negocio/UtilClass.html#UtilClass--">UtilClass</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../negocio/UtilClass.html#addNewCuenta-java.lang.Object-">addNewCuenta</a></span>(java.lang.Object&nbsp;cuenta)</code>
<div class="block">Metodo para añadir un nuevo objeto al ArrayList</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../negocio/UtilClass.html#deleteCuenta-java.lang.String-">deleteCuenta</a></span>(java.lang.String&nbsp;nCuenta)</code>
<div class="block">Metodo que borra una cuenta del array por medio de el numero de cuenta
 asociado</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.ArrayList</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../negocio/UtilClass.html#entidadesAutorizadas--">entidadesAutorizadas</a></span>()</code>
<div class="block">Metodo que devolvera las entidades por defecto a las lista de entidades
 autorizadas</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../negocio/UtilClass.html#getCuenta-java.lang.String-">getCuenta</a></span>(java.lang.String&nbsp;nCuenta)</code>
<div class="block">Metodo para recuperar una cuenta por medio de su numero de cuenta
 asociado</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../negocio/UtilClass.html#getCuentaOfArrayList-int-">getCuentaOfArrayList</a></span>(int&nbsp;posicion)</code>
<div class="block">Metodo devolver el objeto de una posicion del ArrayList</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../negocio/UtilClass.html#getSizeArrayCuentas--">getSizeArrayCuentas</a></span>()</code>
<div class="block">Metodo que devuelve el numero total de posiciones utilizadas en el
 arrayList</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../negocio/UtilClass.html#ingresarSaldo-java.lang.String-java.lang.String-">ingresarSaldo</a></span>(java.lang.String&nbsp;nCuenta,
             java.lang.String&nbsp;saldoAIngresar)</code>
<div class="block">Metodo para ingresar un nuevo saldo a una cuenta</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../negocio/UtilClass.html#isNumeric-java.lang.String-">isNumeric</a></span>(java.lang.String&nbsp;cadena)</code>
<div class="block">Metodo para saber si el valor de un dato String puede ser un numero o no</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.lang.Boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../negocio/UtilClass.html#retirarEfectivo-java.lang.String-java.lang.String-">retirarEfectivo</a></span>(java.lang.String&nbsp;nCuenta,
               java.lang.String&nbsp;efectivoRetirar)</code>
<div class="block">Metodo para retirar efectivo de una cuenta</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../negocio/UtilClass.html#validacionNumeroCuentaCorriente-java.lang.String-">validacionNumeroCuentaCorriente</a></span>(java.lang.String&nbsp;numeroCCC)</code>
<div class="block">Metodo comprobador de validez tanto del formato como del control numerico del numero de una cuenta corriente</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="UtilClass--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>UtilClass</h4>
<pre>public&nbsp;UtilClass()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="entidadesAutorizadas--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>entidadesAutorizadas</h4>
<pre>public&nbsp;java.util.ArrayList&nbsp;entidadesAutorizadas()</pre>
<div class="block">Metodo que devolvera las entidades por defecto a las lista de entidades
 autorizadas</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ArrayList listaEntidades</dd>
</dl>
</li>
</ul>
<a name="addNewCuenta-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addNewCuenta</h4>
<pre>public&nbsp;void&nbsp;addNewCuenta(java.lang.Object&nbsp;cuenta)</pre>
<div class="block">Metodo para añadir un nuevo objeto al ArrayList</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cuenta</code> - Objeto de la clase CuentaClass</dd>
</dl>
</li>
</ul>
<a name="getCuentaOfArrayList-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCuentaOfArrayList</h4>
<pre>public&nbsp;java.lang.Object&nbsp;getCuentaOfArrayList(int&nbsp;posicion)</pre>
<div class="block">Metodo devolver el objeto de una posicion del ArrayList</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>posicion</code> - Integer numero de la posicion dentro del array que se
 quiere utilizar</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Objeto cuenta de la clase CuentaClass</dd>
</dl>
</li>
</ul>
<a name="getSizeArrayCuentas--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSizeArrayCuentas</h4>
<pre>public&nbsp;int&nbsp;getSizeArrayCuentas()</pre>
<div class="block">Metodo que devuelve el numero total de posiciones utilizadas en el
 arrayList</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Integer numero total de objetos dentro del arrayList</dd>
</dl>
</li>
</ul>
<a name="getCuenta-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCuenta</h4>
<pre>public&nbsp;java.lang.Object&nbsp;getCuenta(java.lang.String&nbsp;nCuenta)</pre>
<div class="block">Metodo para recuperar una cuenta por medio de su numero de cuenta
 asociado</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nCuenta</code> - String numero de cuenta</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Object objeto que contiene un objeto de una de las 3 clases
 diferentes de cuentas</dd>
</dl>
</li>
</ul>
<a name="ingresarSaldo-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ingresarSaldo</h4>
<pre>public&nbsp;void&nbsp;ingresarSaldo(java.lang.String&nbsp;nCuenta,
                          java.lang.String&nbsp;saldoAIngresar)</pre>
<div class="block">Metodo para ingresar un nuevo saldo a una cuenta</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nCuenta</code> - String</dd>
<dd><code>saldoAIngresar</code> - String</dd>
</dl>
</li>
</ul>
<a name="retirarEfectivo-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>retirarEfectivo</h4>
<pre>public&nbsp;java.lang.Boolean&nbsp;retirarEfectivo(java.lang.String&nbsp;nCuenta,
                                         java.lang.String&nbsp;efectivoRetirar)</pre>
<div class="block">Metodo para retirar efectivo de una cuenta</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nCuenta</code> - String</dd>
<dd><code>efectivoRetirar</code> - String</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Boolean</dd>
</dl>
</li>
</ul>
<a name="deleteCuenta-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteCuenta</h4>
<pre>public&nbsp;void&nbsp;deleteCuenta(java.lang.String&nbsp;nCuenta)</pre>
<div class="block">Metodo que borra una cuenta del array por medio de el numero de cuenta
 asociado</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nCuenta</code> - String</dd>
</dl>
</li>
</ul>
<a name="isNumeric-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isNumeric</h4>
<pre>public&nbsp;boolean&nbsp;isNumeric(java.lang.String&nbsp;cadena)</pre>
<div class="block">Metodo para saber si el valor de un dato String puede ser un numero o no</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cadena</code> - String</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Boolean</dd>
</dl>
</li>
</ul>
<a name="validacionNumeroCuentaCorriente-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>validacionNumeroCuentaCorriente</h4>
<pre>public&nbsp;boolean&nbsp;validacionNumeroCuentaCorriente(java.lang.String&nbsp;numeroCCC)</pre>
<div class="block">Metodo comprobador de validez tanto del formato como del control numerico del numero de una cuenta corriente</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>numeroCCC</code> - String - numero integro de una cuenta corriente</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Boolean</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/UtilClass.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../negocio/PersonaClass.html" title="class in negocio"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?negocio/UtilClass.html" target="_top">Frames</a></li>
<li><a href="UtilClass.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
